Live Portrait · Image
انٹیگریٹ کریں
live-portrait/image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/live-portrait/image?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/live-portrait/image?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/live-portrait/image", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ur/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "live-portrait/image",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Doitong API کے ذریعے Live Portrait · Image ماڈل (live-portrait/image) کو کال کریں۔ ایجنٹس کے لیے دستاویزات: https://doitong.com/ur/developers/models/live-portrait/image.md
POST https://api.doitong.com/v1/run/live-portrait/image?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
اگر جواب کی اسٹیٹس "queued" یا "running" ہو تو GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 کو اس وقت تک پول کریں جب تک یہ "succeeded" نہ ہو جائے؛ فائلیں outputs[].url میں ہیں۔ رن سے پہلے درست قیمت حاصل کرنے کے لیے اسی باڈی کے ساتھ POST https://api.doitong.com/v1/quote/live-portrait/image کریں۔
ہر رن کے لیے $1.125 تک حقیقی استعمال کے مطابق چارج، باقی رقم واپس اس صفحے پر چلائیں
آپ کی نئی API کلید۔ یہ صرف ابھی دکھائی جاتی ہے اور پہلے ہی نیچے موجود کوڈ اور API کلید کے فیلڈ میں شامل ہے۔ اسے خفیہ رکھیں: اسے کبھی بھی ایسے کوڈ میں شامل نہ کریں جو براؤزر میں چلتا ہو۔
آپ کا پہلا نتیجہ یہاں آئے گا
ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔
درخواست بنائیں
کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔
/run/live-portrait/image?wait=20
قیمت → $1.125
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/live-portrait/image?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/live-portrait/image?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/live-portrait/image", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "live-portrait/image",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
یہ درخواست چلائیں
آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں
Live Portrait · Image کے بارے میں
بغیر کسی ڈرائیونگ ویڈیو کے ایک پورٹریٹ تصویر میں چہرہ ایڈجسٹ کرتا ہے۔ سلائیڈرز پلک، بھنویں، آنکھ مارنے، پُتلی کی پوزیشن، منہ کی شکلوں (aaa، eee، woo)، مسکراہٹ اور سر کی گردش (pitch، yaw، roll) کو کنٹرول کرتے ہیں۔ `flag_do_crop` اور `scale` جیسے کراپ اختیارات، نیز `dsize` (ڈیفالٹ 512)، چہرے کے کراپ کو کنٹرول کرتے ہیں۔ آؤٹ پٹ ڈیفالٹ طور پر jpeg یا png ہو سکتا ہے۔
پیرامیٹرز
معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام
image_urlلازمی
image
blinkاختیاری
eyebrowاختیاری
winkاختیاری
pupil_xاختیاری
pupil_yاختیاری
aaaاختیاری
eeeاختیاری
wooاختیاری
smileاختیاری
rotate_pitchاختیاری
rotate_yawاختیاری
rotate_rollاختیاری
flag_pastebackاختیاری
flag_do_cropاختیاری
flag_do_rotاختیاری
flag_lip_zeroاختیاری
dsizeاختیاری
scaleاختیاری
vx_ratioاختیاری
vy_ratioاختیاری
enable_safety_checkerاختیاری
output_formatاختیاری
فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں
آؤٹ پٹ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "live-portrait/image",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1125,
"usd": "1.125",
"charged": 1125,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
آؤٹ پٹ کے فیلڈز
- image
- object {url, content_type, file_name, file_size, width, height}تخلیق سے تیار کردہ تصویر فائل۔
دیگر Live Portrait ورژنز
مزید ماڈلز: تصویر میں ترمیم
AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/live-portrait/image.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt






